"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var T=Object.create;var m=Object.defineProperty;var C=Object.getOwnPropertyDescriptor;var N=Object.getOwnPropertyNames;var R=Object.getPrototypeOf,A=Object.prototype.hasOwnProperty;var D=(o,e)=>()=>(e||o((e={exports:{}}).exports,e),e.exports);var I=(o,e,n,i)=>{if(e&&typeof e=="object"||typeof e=="function")for(let a of N(e))!A.call(o,a)&&a!==n&&m(o,a,{get:()=>e[a],enumerable:!(i=C(e,a))||i.enumerable});return o};var f=(o,e,n)=>(n=o!=null?T(R(o)):{},I(e||!o||!o.__esModule?m(n,"default",{value:o,enumerable:!0}):n,o));var p=D((z,_)=>{_.exports=Vue});var r=f(p());var O="onLoad",V="onReady";function c(o,e,...n){uni.__log__?uni.__log__(o,e,...n):console[o].apply(console,[...n,e])}var y=o=>(e,n=(0,r.getCurrentInstance)())=>{!r.isInSSRComponentSetup&&(0,r.injectHook)(o,e,n)},h=y(O),x=y(V);var v=(o,e)=>{let n=o.__vccOpts||o;for(let[i,a]of e)n[i]=a;return n};var t=f(p());var b="/static/quetu/pic-3.gif";var q={content:{"":{marginTop:0,marginRight:"10rpx",marginBottom:0,marginLeft:"10rpx"}},chat:{"":{display:"flex",flexDirection:"row",marginTop:"15rpx",marginRight:0,marginBottom:"15rpx",marginLeft:0,borderRadius:"10rpx"}},"chat-head-sculpture":{"":{width:"100rpx",height:"100rpx",borderRadius:"16rpx"}},"chat-name-content":{"":{display:"flex",flexDirection:"column",justifyContent:"space-between",paddingTop:2,paddingBottom:2,alignItems:"flex-start",marginLeft:"30rpx"}},"chat-name":{"":{color:"#F0F8FF"}},"chat-contnet":{"":{color:"#c7c7c7",fontSize:"24rpx"}},"loading-b":{"":{display:"flex",flexDirection:"row",alignItems:"center"}},loading:{"":{width:50,height:50}}},B={__name:"tidings",setup(o){let e=(0,t.ref)(uni.getStorageSync("isLogin")),n=(0,t.ref)([{type:"group-chat",msg:"\u8239\u957F: \u65B0\u6B4C\u5F88\u597D\u542C\uFF0C\u4E00\u952E\u4E09\u8FDE",image:"http://rzffta4f4.bkt.clouddn.com/qyou717.png",name:"\u5168\u7403\u8C26\u53CB\u804A\u5929\u5BA4"},{type:"group-chat",msg:"\u8239\u957F: \u65B0\u6B4C\u5F88\u597D\u542C\uFF0C\u4E00\u952E\u4E09\u8FDE",image:"http://rzffta4f4.bkt.clouddn.com/717qian.jpeg",name:"\u5730\u533A\u8C26\u53CB\u804A\u5929\u5BA4"},{type:"b",msg:"\u8239\u957F: \u8C26\u53CB\u661F\u7403app\uFF0C\u5F88\u68D2\uFF0C\u4E00\u952E\u4E09\u8FDE",image:"http://rzffta4f4.bkt.clouddn.com/813686.jpg",name:"\u795D\u859B\u4E4B\u8C26\u6F14\u5531\u4F1A\u5706\u6EE1\u6210\u529F"}]),i=uni.getSystemInfoSync();(0,t.ref)(i.windowWidth),(0,t.ref)(i.windowHeight);let a=(0,t.ref)(!1),w=()=>{uni.navigateTo({url:"/pages/chat/chat"})},k=()=>{uni.navigateTo({url:"/pages/login/login",animationType:"slide-in-bottom",animationDuration:200})};return uni.$on("group-chat-to-thidings-page",function(s){c("log","at pages/tidings/tidings.nvue:67","\u672A\u8BFB\u6D88\u606F");for(let l=0;l<n.value.length;l++)if(n.value[l].type===s.type){n.value[l].msg=s.msg;break}}),uni.$on("logout",function(s){c("log","at pages/tidings/tidings.nvue:77","\u7528\u6237\u9000\u51FA\u767B\u5F55"),e.value=!1}),uni.$on("isLogin",function(s){e.value=!0,a.value=!0}),uni.$on("is-websocket-login-ok",function(s){c("log","at pages/tidings/tidings.nvue:87","websocket\u767B\u5F55\u4E86"),a.value=!1}),h(()=>{c("log","at pages/tidings/tidings.nvue:91","onLoad")}),x(()=>{c("log","at pages/tidings/tidings.nvue:97","onReady")}),(s,l)=>{let L=(0,t.resolveComponent)("button");return(0,t.openBlock)(),(0,t.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,t.createElementVNode)("view",{class:"content"},[e.value?((0,t.openBlock)(),(0,t.createElementBlock)(t.Fragment,{key:0},[a.value?((0,t.openBlock)(),(0,t.createElementBlock)("view",{key:0,class:"loading-b"},[(0,t.createElementVNode)("u-image",{src:b,class:"loading"}),(0,t.createElementVNode)("u-text",{style:{color:"aliceblue"}},"\u52A0\u8F7D\u4E2D...")])):(0,t.createCommentVNode)("",!0),((0,t.openBlock)(!0),(0,t.createElementBlock)(t.Fragment,null,(0,t.renderList)(n.value,(u,S)=>((0,t.openBlock)(),(0,t.createElementBlock)("view",{class:"chat",onClick:w,key:S,style:(0,t.normalizeStyle)(a.value==!0?"opacity: 0.3":"opacity: 1")},[(0,t.createElementVNode)("u-image",{class:"chat-head-sculpture",src:u.image,mode:""},null,8,["src"]),(0,t.createElementVNode)("view",{class:"chat-name-content"},[(0,t.createElementVNode)("u-text",{class:"chat-name"},(0,t.toDisplayString)(u.name),1),(0,t.createElementVNode)("u-text",{class:"chat-contnet"},(0,t.toDisplayString)(u.msg),1)])],4))),128))],64)):((0,t.openBlock)(),(0,t.createElementBlock)(t.Fragment,{key:1},[(0,t.createElementVNode)("u-text",{style:{color:"#fff"}},"\u60A8\u8FD8\u672A\u767B\u5F55\uFF0C\u8BF7\u767B\u5F55\u540E\u624D\u80FD\u9884\u89C8\u6D88\u606F\u54E6"),(0,t.createVNode)(L,{style:{"margin-top":"30px","background-image":"linear-gradient(to right, #ef8a3d, #d61d0d)!important"},onClick:k,type:"default"},{default:(0,t.withCtx)(()=>[(0,t.createTextVNode)("\u53BB\u767B\u5F55")]),_:1})],64))])])}}},g=v(B,[["styles",[q]]]);var d=plus.webview.currentWebview();if(d){let o=parseInt(d.id),e="pages/tidings/tidings",n={};try{n=JSON.parse(d.__query__)}catch(a){}g.mpType="page";let i=Vue.createPageApp(g,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:e,__pageQuery:n});i.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...g.styles||[]])),i.mount("#root")}})();
